Index: pykota/trunk/man/pt_BR/autopykota.1
===================================================================
--- pykota/trunk/man/pt_BR/autopykota.1 (revision 2778)
+++ pykota/trunk/man/pt_BR/autopykota.1 (revision 2808)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
 .TH AUTOPYKOTA "1" "mars 2006" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-autopykota \- page de manuel de autopykota 1.24alpha15_unofficial
+autopykota \- page de manuel de autopykota 1.24beta_unofficial
 .SH DESCRIPTION
-autopykota v1.24alpha15_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
+autopykota v1.24beta_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
 .PP
 A tool to automate user account creation and initial balance setting.
Index: pykota/trunk/man/pt_BR/edpykota.1
===================================================================
--- pykota/trunk/man/pt_BR/edpykota.1 (revision 2778)
+++ pykota/trunk/man/pt_BR/edpykota.1 (revision 2808)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
 .TH EDPYKOTA "1" "mars 2006" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-edpykota \- page de manuel de edpykota 1.24alpha15_unofficial
+edpykota \- page de manuel de edpykota 1.24beta_unofficial
 .SH DESCRIPTION
-edpykota v1.24alpha15_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
+edpykota v1.24beta_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
 .PP
 A Print Quota editor for PyKota.
Index: pykota/trunk/man/pt_BR/pkbanner.1
===================================================================
--- pykota/trunk/man/pt_BR/pkbanner.1 (revision 2778)
+++ pykota/trunk/man/pt_BR/pkbanner.1 (revision 2808)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
 .TH PKBANNER "1" "mars 2006" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkbanner \- page de manuel de pkbanner 1.24alpha15_unofficial
+pkbanner \- page de manuel de pkbanner 1.24beta_unofficial
 .SH DESCRIPTION
-pkbanner v1.24alpha15_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
+pkbanner v1.24beta_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
 .PP
 Generates banners.
Index: pykota/trunk/man/pt_BR/pkprinters.1
===================================================================
--- pykota/trunk/man/pt_BR/pkprinters.1 (revision 2778)
+++ pykota/trunk/man/pt_BR/pkprinters.1 (revision 2808)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
 .TH PKPRINTERS "1" "mars 2006" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkprinters \- page de manuel de pkprinters 1.24alpha15_unofficial
+pkprinters \- page de manuel de pkprinters 1.24beta_unofficial
 .SH DESCRIPTION
-pkprinters v1.24alpha15_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
+pkprinters v1.24beta_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
 .PP
 A Printers Manager for PyKota.
Index: pykota/trunk/man/pt_BR/pknotify.1
===================================================================
--- pykota/trunk/man/pt_BR/pknotify.1 (revision 2779)
+++ pykota/trunk/man/pt_BR/pknotify.1 (revision 2808)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
 .TH PKNOTIFY "1" "mars 2006" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pknotify \- page de manuel de pknotify 1.24alpha15_unofficial
+pknotify \- page de manuel de pknotify 1.24beta_unofficial
 .SH DESCRIPTION
-pknotify v1.24alpha15_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
+pknotify v1.24beta_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
 .PP
 Notifies or ask questions to end users who launched the PyKotIcon application.
@@ -31,7 +31,25 @@
 user. Then pknotify will output the result.
 .TP
+\fB\-C\fR | \fB\-\-checkauth\fR
+When \fB\-\-ask\fR is used and both an 'username' and a
+\&'password' are asked to the end user, then
+pknotify will try to authenticate the user
+through PAM. If authentified, this program
+will print "AUTH=YES", else "AUTH=NO".
+If a field is missing, "AUTH=IMPOSSIBLE" will
+be printed. If the user is authenticated, then
+"USERNAME=xxxx" will be printed as well.
+.TP
 \fB\-c\fR | \fB\-\-confirm\fR
 Tells pknotify to ask for either a confirmation
 or abortion.
+.TP
+\fB\-D\fR | \fB\-\-denyafter\fR N
+With \fB\-\-checkauth\fR above, makes pknotify loop
+up to N times if the password is incorrect.
+After having reached the limit, "DENY" will
+be printed, which effectively rejects the job.
+The default value of N is 1, meaning the job
+is denied after the first unsuccessful try.
 .TP
 \fB\-n\fR | \fB\-\-notify\fR
@@ -44,4 +62,12 @@
 be combined with the other ones to make PyKotIcon
 exit after having sent the answer from the dialog.
+.TP
+\fB\-t\fR | \fB\-\-timeout\fR T
+Tells pknotify to ignore the end user's answer if
+it comes pas T seconds after the dialog box being
+opened. The default value is 0 seconds, which
+tells pknotify to wait indefinitely.
+Use this option to avoid having an user who
+leaved his computer stall a whole print queue.
 .IP
 You MUST specify either \fB\-\-ask\fR, \fB\-\-confirm\fR, \fB\-\-notify\fR or \fB\-\-quit\fR.
@@ -59,5 +85,7 @@
 printed. If one of the varname is 'password'
 then this field is asked as a password (you won't
-see what you type in).
+see what you type in), and is NOT printed. Although
+it is not printed, it will be used to check if
+authentication is valid if you specify \fB\-\-checkauth\fR.
 .TP
 \fB\-c\fR | \fB\-\-confirm\fR : A single argument is expected, representing the
@@ -75,5 +103,17 @@
 10 credits !"
 .IP
-would display the cost of a print job and asks for confirmation.
+Would display the cost of a print job and asks for confirmation.
+.IP
+pknotify \fB\-\-destination\fR $PYKOTAJOBORIGINATINGHOSTNAME:7654 \e
+.IP
+\fB\-\-checkauth\fR \fB\-\-ask\fR "Your name:username:" "Your password:password:"
+.IP
+Asks an username and password, and checks if they are valid.
+NB : The PYKOTAJOBORIGINATINGHOSTNAME environment variable is
+only set if you launch pknotify from cupspykota through a directive
+in ~pykota/pykota.conf
+.IP
+The TCP port you'll use must be reachable on the client from the
+print server.
 .PP
 This program is free software; you can redistribute it and/or modify
Index: pykota/trunk/man/pt_BR/pkinvoice.1
===================================================================
--- pykota/trunk/man/pt_BR/pkinvoice.1 (revision 2794)
+++ pykota/trunk/man/pt_BR/pkinvoice.1 (revision 2808)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
 .TH PKINVOICE "1" "mars 2006" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkinvoice \- page de manuel de pkinvoice 1.24alpha15_unofficial
+pkinvoice \- page de manuel de pkinvoice 1.24beta_unofficial
 .SH DESCRIPTION
-pkinvoice v1.24alpha15_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
+pkinvoice v1.24beta_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
 .PP
 An invoice generator for PyKota.
Index: pykota/trunk/man/pt_BR/pykotme.1
===================================================================
--- pykota/trunk/man/pt_BR/pykotme.1 (revision 2778)
+++ pykota/trunk/man/pt_BR/pykotme.1 (revision 2808)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
 .TH PYKOTME "1" "mars 2006" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykotme \- page de manuel de pykotme 1.24alpha15_unofficial
+pykotme \- page de manuel de pykotme 1.24beta_unofficial
 .SH DESCRIPTION
-pykotme v1.24alpha15_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
+pykotme v1.24beta_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
 .PP
 Gives print quotes to users.
Index: pykota/trunk/man/pt_BR/pykosd.1
===================================================================
--- pykota/trunk/man/pt_BR/pykosd.1 (revision 2778)
+++ pykota/trunk/man/pt_BR/pykosd.1 (revision 2808)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
 .TH PYKOSD "1" "mars 2006" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykosd \- page de manuel de pykosd 1.24alpha15_unofficial
+pykosd \- page de manuel de pykosd 1.24beta_unofficial
 .SH DESCRIPTION
-pykosd v1.24alpha15_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
+pykosd v1.24beta_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
 .PP
 An OSD quota monitor for PyKota.
Index: pykota/trunk/man/pt_BR/pkbcodes.1
===================================================================
--- pykota/trunk/man/pt_BR/pkbcodes.1 (revision 2778)
+++ pykota/trunk/man/pt_BR/pkbcodes.1 (revision 2808)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
 .TH PKBCODES "1" "mars 2006" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkbcodes \- page de manuel de pkbcodes 1.24alpha15_unofficial
+pkbcodes \- page de manuel de pkbcodes 1.24beta_unofficial
 .SH DESCRIPTION
-pkbcodes v1.24alpha15_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
+pkbcodes v1.24beta_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
 .PP
 A billing codes Manager for PyKota.
Index: pykota/trunk/man/pt_BR/pkturnkey.1
===================================================================
--- pykota/trunk/man/pt_BR/pkturnkey.1 (revision 2778)
+++ pykota/trunk/man/pt_BR/pkturnkey.1 (revision 2808)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
 .TH PKTURNKEY "1" "mars 2006" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkturnkey \- page de manuel de pkturnkey 1.24alpha15_unofficial
+pkturnkey \- page de manuel de pkturnkey 1.24beta_unofficial
 .SH DESCRIPTION
-pkturnkey v1.24alpha15_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
+pkturnkey v1.24beta_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
 .PP
 A turn key tool for PyKota. When launched, this command will initialize
Index: pykota/trunk/man/pt_BR/pkusers.1
===================================================================
--- pykota/trunk/man/pt_BR/pkusers.1 (revision 2778)
+++ pykota/trunk/man/pt_BR/pkusers.1 (revision 2808)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
 .TH PKUSERS "1" "mars 2006" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkusers \- page de manuel de pkusers 1.24alpha15_unofficial
+pkusers \- page de manuel de pkusers 1.24beta_unofficial
 .SH DESCRIPTION
-pkusers v1.24alpha15_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
+pkusers v1.24beta_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
 .PP
 An Users and Groups Manager for PyKota.
Index: pykota/trunk/man/pt_BR/dumpykota.1
===================================================================
--- pykota/trunk/man/pt_BR/dumpykota.1 (revision 2778)
+++ pykota/trunk/man/pt_BR/dumpykota.1 (revision 2808)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
 .TH DUMPYKOTA "1" "mars 2006" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-dumpykota \- page de manuel de dumpykota 1.24alpha15_unofficial
+dumpykota \- page de manuel de dumpykota 1.24beta_unofficial
 .SH DESCRIPTION
-dumpykota v1.24alpha15_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
+dumpykota v1.24beta_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
 .PP
 Dumps PyKota database's content.
Index: pykota/trunk/man/pt_BR/pkmail.1
===================================================================
--- pykota/trunk/man/pt_BR/pkmail.1 (revision 2778)
+++ pykota/trunk/man/pt_BR/pkmail.1 (revision 2808)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
 .TH PKMAIL "1" "mars 2006" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkmail \- page de manuel de pkmail 1.24alpha15_unofficial
+pkmail \- page de manuel de pkmail 1.24beta_unofficial
 .SH DESCRIPTION
-pkmail v1.24alpha15_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
+pkmail v1.24beta_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
 .PP
 Email gateway for PyKota.
Index: pykota/trunk/man/pt_BR/repykota.1
===================================================================
--- pykota/trunk/man/pt_BR/repykota.1 (revision 2778)
+++ pykota/trunk/man/pt_BR/repykota.1 (revision 2808)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
 .TH REPYKOTA "1" "mars 2006" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-repykota \- page de manuel de repykota 1.24alpha15_unofficial
+repykota \- page de manuel de repykota 1.24beta_unofficial
 .SH DESCRIPTION
-repykota v1.24alpha15_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
+repykota v1.24beta_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
 .PP
 Generates print quota reports.
Index: pykota/trunk/man/pt_BR/warnpykota.1
===================================================================
--- pykota/trunk/man/pt_BR/warnpykota.1 (revision 2778)
+++ pykota/trunk/man/pt_BR/warnpykota.1 (revision 2808)
@@ -1,8 +1,8 @@
-.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.35.
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
 .TH WARNPYKOTA "1" "mars 2006" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-warnpykota \- page de manuel de warnpykota 1.24alpha15_unofficial
+warnpykota \- page de manuel de warnpykota 1.24beta_unofficial
 .SH DESCRIPTION
-warnpykota v1.24alpha15_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
+warnpykota v1.24beta_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
 .PP
 Sends mail to users over print quota.