Index: pykota/trunk/pykota/dumper.py
===================================================================
--- pykota/trunk/pykota/dumper.py (revision 2664)
+++ pykota/trunk/pykota/dumper.py (revision 2830)
@@ -249,5 +249,5 @@
         sortindex = fields["jobdate"]    
         entries = entries[1:]
-        entries.sort(lambda m,n,si=sortindex : cmp(m[si], n[si]))
+        entries.sort(lambda m, n, si=sortindex : cmp(m[si], n[si]))
         for entry in entries :    
             printername = entry[fields["printername"]]
Index: pykota/trunk/pykota/tool.py
===================================================================
--- pykota/trunk/pykota/tool.py (revision 2807)
+++ pykota/trunk/pykota/tool.py (revision 2830)
@@ -31,11 +31,6 @@
 import gettext
 import locale
-import signal
 import socket
-import tempfile
-import md5
 import time
-import ConfigParser
-import popen2
 from email.MIMEText import MIMEText
 from email.Header import Header
@@ -43,5 +38,5 @@
 from mx import DateTime
 
-from pykota import config, storage, logger, accounter
+from pykota import config, storage, logger
 from pykota.version import __version__, __author__, __years__, __gplblurb__
 
Index: pykota/trunk/pykota/reporters/html.py
===================================================================
--- pykota/trunk/pykota/reporters/html.py (revision 2622)
+++ pykota/trunk/pykota/reporters/html.py (revision 2830)
@@ -25,7 +25,6 @@
 import os
 import urllib
-from mx import DateTime
 
-from pykota.reporter import BaseReporter, PyKotaReporterError
+from pykota.reporter import BaseReporter
     
 class Reporter(BaseReporter) :    
Index: pykota/trunk/pykota/reporters/text.py
===================================================================
--- pykota/trunk/pykota/reporters/text.py (revision 2622)
+++ pykota/trunk/pykota/reporters/text.py (revision 2830)
@@ -23,5 +23,5 @@
 #
 
-from pykota.reporter import BaseReporter, PyKotaReporterError
+from pykota.reporter import BaseReporter
     
 class Reporter(BaseReporter) :    
Index: pykota/trunk/pykota/accounters/snmp.py
===================================================================
--- pykota/trunk/pykota/accounters/snmp.py (revision 2637)
+++ pykota/trunk/pykota/accounters/snmp.py (revision 2830)
@@ -211,17 +211,23 @@
     """Tries SNMP accounting for a printer host."""
     class fakeFilter :
+        """Fakes a filter for testing purposes."""
         def __init__(self) :
+            """Initializes the fake filter."""
             self.PrinterName = "FakePrintQueue"
             self.JobSizeBytes = 1
             
         def printInfo(self, msg, level="info") :
+            """Prints informational message."""
             sys.stderr.write("%s : %s\n" % (level.upper(), msg))
             sys.stderr.flush()
             
         def logdebug(self, msg) :    
+            """Prints debug message."""
             self.printInfo(msg, "debug")
             
     class fakeAccounter :        
+        """Fakes an accounter for testing purposes."""
         def __init__(self) :
+            """Initializes fake accounter."""
             self.arguments = "snmp:public"
             self.filter = fakeFilter()
@@ -229,4 +235,5 @@
             
         def getLastPageCounter(self) :    
+            """Fakes the return of a page counter."""
             return 0
         
Index: pykota/trunk/pykota/accounters/pjl.py
===================================================================
--- pykota/trunk/pykota/accounters/pjl.py (revision 2637)
+++ pykota/trunk/pykota/accounters/pjl.py (revision 2830)
@@ -202,17 +202,23 @@
     """Tries PJL accounting for a printer host."""
     class fakeFilter :
+        """Fakes a filter for testing purposes."""
         def __init__(self) :
+            """Initializes the fake filter."""
             self.PrinterName = "FakePrintQueue"
             self.JobSizeBytes = 1
             
         def printInfo(self, msg, level="info") :
+            """Prints informational message."""
             sys.stderr.write("%s : %s\n" % (level.upper(), msg))
             sys.stderr.flush()
             
         def logdebug(self, msg) :    
+            """Prints debug message."""
             self.printInfo(msg, "debug")
             
     class fakeAccounter :        
+        """Fakes an accounter for testing purposes."""
         def __init__(self) :
+            """Initializes fake accounter."""
             self.arguments = "pjl:9100"
             self.filter = fakeFilter()
@@ -220,4 +226,5 @@
             
         def getLastPageCounter(self) :    
+            """Fakes the return of a page counter."""
             return 0
         
Index: pykota/trunk/pykota/storages/mysqlstorage.py
===================================================================
--- pykota/trunk/pykota/storages/mysqlstorage.py (revision 2821)
+++ pykota/trunk/pykota/storages/mysqlstorage.py (revision 2830)
@@ -26,5 +26,5 @@
 import time
 
-from pykota.storage import PyKotaStorageError,BaseStorage,StorageObject,StorageUser,StorageGroup,StoragePrinter,StorageJob,StorageLastJob,StorageUserPQuota,StorageGroupPQuota
+from pykota.storage import PyKotaStorageError, BaseStorage
 from pykota.storages.sql import SQLStorage
 
Index: pykota/trunk/pykota/storages/pgstorage.py
===================================================================
--- pykota/trunk/pykota/storages/pgstorage.py (revision 2773)
+++ pykota/trunk/pykota/storages/pgstorage.py (revision 2830)
@@ -26,5 +26,5 @@
 from types import StringType
 
-from pykota.storage import PyKotaStorageError,BaseStorage,StorageObject,StorageUser,StorageGroup,StoragePrinter,StorageJob,StorageLastJob,StorageUserPQuota,StorageGroupPQuota
+from pykota.storage import PyKotaStorageError, BaseStorage
 from pykota.storages.sql import SQLStorage
 
Index: pykota/trunk/pykota/storages/sql.py
===================================================================
--- pykota/trunk/pykota/storages/sql.py (revision 2787)
+++ pykota/trunk/pykota/storages/sql.py (revision 2830)
@@ -23,6 +23,5 @@
 #
 
-from pykota.storage import PyKotaStorageError, BaseStorage, StorageObject, \
-                           StorageUser, StorageGroup, StoragePrinter, \
+from pykota.storage import StorageUser, StorageGroup, StoragePrinter, \
                            StorageJob, StorageLastJob, StorageUserPQuota, \
                            StorageGroupPQuota, StorageBillingCode
Index: pykota/trunk/pykota/storages/ldapstorage.py
===================================================================
--- pykota/trunk/pykota/storages/ldapstorage.py (revision 2798)
+++ pykota/trunk/pykota/storages/ldapstorage.py (revision 2830)
@@ -30,5 +30,4 @@
 
 import sys
-import os
 import types
 import time
@@ -39,5 +38,5 @@
 from mx import DateTime
 
-from pykota.storage import PyKotaStorageError, BaseStorage, StorageObject, \
+from pykota.storage import PyKotaStorageError, BaseStorage, \
                            StorageUser, StorageGroup, StoragePrinter, \
                            StorageJob, StorageLastJob, StorageUserPQuota, \
@@ -827,7 +826,7 @@
         names = [self.userCharsetToDatabase(n) for n in names]
         if self.info["userquotabase"].lower() == "user" :
-           base = self.info["userbase"]
+            base = self.info["userbase"]
         else :
-           base = self.info["userquotabase"]
+            base = self.info["userquotabase"]
         result = self.doSearch("(&(objectClass=pykotaUserPQuota)(pykotaPrinterName=%s)(|%s))" % \
                                   (pname, "".join(["(pykotaUserName=%s)" % uname for uname in names])), \
@@ -872,7 +871,7 @@
         names = [self.userCharsetToDatabase(n) for n in names]
         if self.info["groupquotabase"].lower() == "group" :
-           base = self.info["groupbase"]
+            base = self.info["groupbase"]
         else :
-           base = self.info["groupquotabase"]
+            base = self.info["groupquotabase"]
         result = self.doSearch("(&(objectClass=pykotaGroupPQuota)(pykotaPrinterName=%s)(|%s))" % \
                                   (pname, "".join(["(pykotaGroupName=%s)" % gname for gname in names])), \
Index: pykota/trunk/pykota/storages/sqlitestorage.py
===================================================================
--- pykota/trunk/pykota/storages/sqlitestorage.py (revision 2773)
+++ pykota/trunk/pykota/storages/sqlitestorage.py (revision 2830)
@@ -25,5 +25,5 @@
 import time
 
-from pykota.storage import PyKotaStorageError,BaseStorage,StorageObject,StorageUser,StorageGroup,StoragePrinter,StorageJob,StorageLastJob,StorageUserPQuota,StorageGroupPQuota
+from pykota.storage import PyKotaStorageError, BaseStorage
 from pykota.storages.sql import SQLStorage
 