Index: /pykota/trunk/docs/edpykota.sgml
===================================================================
--- /pykota/trunk/docs/edpykota.sgml (revision 2452)
+++ /pykota/trunk/docs/edpykota.sgml (revision 2833)
@@ -2,11 +2,6 @@
 
 <chapter>
-  <title id="edpykota">Manage the Print Quota DataBase with edpykota</title>
+  <title id="edpykota">Manage Print Quotas with edpykota</title>
   <para>Last modified on $Date$</para>
-  
-  <para>
-    <command>edpykota</command> is the main command line tool with which you will 
-    maintain your print quota database.
-  </para>
   
   <para>
@@ -18,69 +13,22 @@
     By default, before being allowed to print through <application>PyKota</application>,
     an user must exist in the database and have a print quota entry on every printer
-    he should be allowed to use. The simplest way to add an user named <literal>jerome</literal> to the database is
+    he should be allowed to use. As seen in the previous chapter, the simplest way to add an user named <literal>jerome</literal> to the database is
     to type :
 <screen>    
-$ edpykota --add --noquota jerome
+$ pkusers --add jerome
+</screen>
+
+    But this is not sufficient to allow user <literal>jerome</literal> to print. You have to create a print quota entry for <literal>jerome</literal> on all printers
+    he is allowed to print to. The easiest way to do so is to type :
+<screen>    
+$ edpykota --add jerome
 </screen>
   </para>
   
   <para>
-    The command above has created user <literal>jerome</literal> in the database, and has automatically
+    The commands above have created user <literal>jerome</literal> in the database, and have automatically
     created print quota entries with no limit for this user on all existing printers. This means
     that user <literal>jerome</literal> is allowed to print without limitation, but that full accounting
     will still be done for this user : you'll know whenever he prints and how much.
-  </para>
-  
-  <para>
-    You can apply two sorts of print quotas to users : page quotas, and account balance quotas.
-    <itemizedlist>
-      <listitem>
-        <para>
-          Page quotas are defined for each user on each printer. This means that an user can be
-          limited to print more than 20 pages on printer <literal>HP2100</literal> while still
-          being allowed to print 500 pages on printer <literal>TekTro</literal>.
-        </para>
-      </listitem>  
-      <listitem>
-        <para>
-          Account balance quotas are defined once for each user. You give a number of credits
-          to an user, and whenever he prints on any printer, his number of credits diminishes
-          by the cost of the current print job, until his balance reaches 0.
-          In other terms, while page quotas are specific to a particular printer for a particular
-          user, account balance quotas are shared between all printers for a particular user.
-        </para>
-      </listitem>  
-    </itemizedlist>  
-    This means that you have to choose which type of quota you want for each user.
-    The default mode is page quotas, but if you pass <literal>--limitby balance</literal>
-    as command line options to <command>edpykota</command>, the users onto which the command
-    will apply will be limited by the value of their account instead of by a number of
-    pages.
-  </para>
-  
-  <para>
-    In addition to <literal>balance</literal> and <literal>quota</literal>, several other values
-    are allowed for the <literal>--limitby</literal> command line option :
-    <itemizedlist>
-      <listitem>
-        <para>
-          <literal>noquota</literal> : the user or group can print without any limitation, but
-          accounting continues to be done.
-        </para>
-      </listitem>  
-      <listitem>
-        <para>
-          <literal>nochange</literal> : the user can print without any limitation, but
-          accounting is not done.
-          This value is not supported for users groups.
-        </para>
-      </listitem>  
-      <listitem>
-        <para>
-          <literal>noprint</literal> : the user can not print.
-          This value is not supported for users groups.
-        </para>
-      </listitem>  
-    </itemizedlist>  
   </para>
   
@@ -91,51 +39,20 @@
       <listitem>
         <para>
-          Add printers (it's preferable to use the <command>pkprinters</command> command for this though) ;
+          Add and delete users and groups print quota entries ;
         </para>
       </listitem>
       <listitem>
         <para>
-          Add and delete users and groups ;
+          Define, increase or decrease hard and soft page limits for users ou users groups, on a per printer basis ;
         </para>
       </listitem>
       <listitem>
         <para>
-          Set users' account balances ;
+          Reset or modify page counters for users or groups, on a per printer basis ;
         </para>
       </listitem>
       <listitem>
         <para>
-          Set users and groups print quotas on printers, eventually by using another user
-          or group as a template ;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Set price per page and price per job for printers (it's preferable to use the <command>pkprinters</command> command for this though) ;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Switch users or groups to or from <quote>account only</quote> mode (no quota enforcement) ;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Define hard and soft limits for users ou groups quotas, on a per printer basis ;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Choose the way you will limit printing ;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Reset page counters ;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Etc...
+          List print quota entries ;
         </para>
       </listitem>
Index: /pykota/trunk/docs/pkusers.sgml
===================================================================
--- /pykota/trunk/docs/pkusers.sgml (revision 2833)
+++ /pykota/trunk/docs/pkusers.sgml (revision 2833)
@@ -0,0 +1,126 @@
+<!-- $Id$ -->
+
+<chapter>
+  <title id="pkusers">Manage Users and Groups with pkusers</title>
+  <para>Last modified on $Date$</para>
+  
+  <para>
+    You'll use this tool to create, manage or delete users or users groups from the database.
+    Before you can assign print quotas to an user or group with the <command>edpykota</command> you
+    MUST add this user or group to the database using <command>pkusers</command>.
+  </para>
+  
+  <para>
+    The simplest way to add an user named <literal>jerome</literal> to the database is
+    to type :
+<screen>    
+$ pkusers --add jerome
+</screen>
+  </para>
+  
+  <para>
+    The commands above have created user <literal>jerome</literal> in the database. By default this
+    user will be limited by page quotas, that is a maximal number of pages can be assigned to this
+    user on any printer. This has to be done through the <command>edpykota</command> command line tool.
+  </para>
+  
+  <para>
+    You can apply different sorts of limitations to an user or users group, by specifying a
+    different value for the <literal>--limitby</literal> command line option to <command>pkusers</command> :
+    <itemizedlist>
+      <listitem>
+        <para>
+          <literal>--limitby quota</literal> : Page quotas are defined for each user on each printer. 
+          This means that an user can be
+          limited to print more than 20 pages on printer <literal>HP2100</literal> while still
+          being allowed to print 500 pages on printer <literal>TekTro</literal>.
+          This is the default.
+        </para>
+      </listitem>  
+      <listitem>
+        <para>
+          <literal>--limitby balance</literal> : Account balance quotas are defined once for each user.
+          You give a number of credits
+          to an user, and whenever he prints on any printer, his number of credits diminishes
+          by the cost of the current print job, until his balance reaches 0 (or the value
+          defined in the <literal>balancezero</literal> configuration directive in <filename>~pykota/pykota.conf</filename>).
+          In other terms, while page quotas are specific to a particular printer for a particular
+          user, account balance quotas are shared between all printers for a particular user.
+        </para>
+      </listitem>  
+      <listitem>
+        <para>
+          <literal>--limitby noquota</literal> : the user or group can print without any limitation, but
+          accounting continues to be done.
+        </para>
+      </listitem>  
+      <listitem>
+        <para>
+          <literal>--limitby nochange</literal> : the user can print without any limitation, but
+          accounting is not done.
+          This value is not supported for users groups.
+        </para>
+      </listitem>  
+      <listitem>
+        <para>
+          <literal>--limitby noprint</literal> : the user can not print.
+          This value is not supported for users groups.
+        </para>
+      </listitem>  
+    </itemizedlist>  
+  </para>
+  
+  <para>
+    Here's an incomplete list of features :
+    
+    <itemizedlist>
+      <listitem>
+        <para>
+          Add and delete users and groups ;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Add or remove users from users groups ;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Choose the way you will limit printing for users or groups ;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Set users' account balances. An optional comment can be added to each payment ;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Set users' overcharging (or undercharging) factor ;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Sets a textual description for users or groups ;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Sets users' email addresses (on creation only) ;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Lists users or groups ;
+        </para>
+      </listitem>
+    </itemizedlist>
+  </para>
+  
+  <para>
+    For more details on the use of <command>pkusers</command>, please see this command's manual
+    page or help.
+  </para>
+  
+</chapter>
+
Index: /pykota/trunk/docs/pykota.sgml
===================================================================
--- /pykota/trunk/docs/pykota.sgml (revision 2622)
+++ /pykota/trunk/docs/pykota.sgml (revision 2833)
@@ -17,4 +17,5 @@
   <!entity PKBANNER system "pkbanner.sgml">
   <!entity PKMAIL system "pkmail.sgml">
+  <!entity PKUSERS system "pkusers.sgml">
   <!entity GNUGPL system "gnugpl.sgml">
 
@@ -121,4 +122,6 @@
   
   &PKPRINTERS;
+  
+  &PKUSERS;
 
   &EDPYKOTA;