Index: /pykota/trunk/docs/installation.sgml
===================================================================
--- /pykota/trunk/docs/installation.sgml (revision 2820)
+++ /pykota/trunk/docs/installation.sgml (revision 2835)
@@ -467,9 +467,9 @@
         <listitem>
           <para>
-            <application>Python</application> version 2.1 or above.
+            <application>Python</application> version 2.2 or above.
             You can download it from <ulink url="http://www.python.org">http://www.python.org</ulink>.
             While <application>PyKota</application> itself will try to preserve compatibility
-            with <application>Python</application> version 2.1 for the near future, some <application>Python</application>
-            modules which are needed by <application>PyKota</application> may mandate the use of a more recent version
+            with <application>Python</application> version 2.2 for the near future, some <application>Python</application>
+            modules which are needed by <application>PyKota</application> may require a more recent version
             of this language.
           </para>
@@ -607,4 +607,12 @@
           </para>
         </listitem>  
+        <listitem>
+          <para>
+            The <application>PyPAM</application> Python interface to <acronym>PAM</acronym>.
+            You'll need this if you plan to ask users to authenticate when printing through <command>pknotify</command>
+            and <command>pykoticon</command>. You don't need this module otherwise.
+            If needed, you can download it from <ulink url="http://www.pangalactic.org/PyPAM/">http://www.pangalactic.org/PyPAM/</ulink>.
+          </para>
+        </listitem>  
       </itemizedlist>  
     </para>
@@ -686,5 +694,5 @@
       begins with a name between square brackets <literal>[]</literal>.
       The name to use to define a particular printer section is the name
-      of the print queue on which you want to set quotas.
+      of the print queue you want to manage with PyKota.
     </para>
     
@@ -748,5 +756,5 @@
     <para>
       This all depends on the printing system you are using, and the user the
-      printing system is usually running as. You need to remember two things :
+      printing system is usually running as. You need to remember three things :
       
       <itemizedlist>
@@ -764,4 +772,12 @@
           </para>
         </listitem>
+        <listitem>        
+          <para>
+            If <filename>cupsd.conf</filename> contains <literal>RunAsUser</literal>, then
+            you won't be able to authenticate users with <command>pknotify</command> and <command>pykoticon</command>.
+            Also in this case you may have to make <application>PyKota</application>'s configuration files
+            owned by the user <application>CUPS</application> runs as.
+          </para>
+        </listitem>
       </itemizedlist>  
     </para>
@@ -774,5 +790,6 @@
     <para>
       Now depending on your printing system, the configuration to do is particular.
-      We will now see how to plug PyKota into your printing system.
+      We will now see how to plug PyKota into <application>CUPS</application> since <application>LPRng</application>
+      is not supported anymore.
     </para>
     
@@ -836,10 +853,16 @@
           to ask on PyKota's mailing list, describing the symptoms, as
           well as the hardware and software you use.
-          In a future release of this document, a section dedicated to 
-          Frequently Asked Questions will be included.
         </para>
         
         <para>
-          You can now also ask us questions on IRC :
+          A searchable FAQ is now available at 
+          <ulink url="http://otrs.librelogiciel.com/otrs/public.pl">http://otrs.librelogiciel.com/public.pl</ulink>.
+          A FAQ entry explaining in great details how to diagnose a problem correctly is
+          available at 
+          <ulink url="http://otrs.librelogiciel.com/otrs/public.pl?ID=2">http://otrs.librelogiciel.com/public.pl?ID=2</ulink>.
+        </para>
+        
+        <para>
+          You can now ask questions on IRC :
           <screen>
 /server irc.freenode.net          
Index: /pykota/trunk/docs/filterpykota.sgml
===================================================================
--- /pykota/trunk/docs/filterpykota.sgml (revision 2551)
+++ /pykota/trunk/docs/filterpykota.sgml (revision 2835)
@@ -42,5 +42,5 @@
   
   <para>
-    Currently with a <application>CUPS</application> internal accounting mechanism, the <command>pstops</command>
+    Currently with <application>CUPS</application>' internal accounting mechanism, the <command>pstops</command>
     filter can be bypassed. That's why <application>PyKota</application> uses its own backend.
     The <command>cupspykota</command> backend wrapper ensures that jobs can't bypass it, so you can use