Index: pykota/trunk/docs/installation.sgml
===================================================================
--- pykota/trunk/docs/installation.sgml (revision 2844)
+++ pykota/trunk/docs/installation.sgml (revision 2851)
@@ -61,5 +61,5 @@
       <para>
         Of course, depending on the size of your network, you may very well
-        use the same machine as both a Print Server and a Storage Server.
+        use the same machine as both a Print Server and a database server.
         This is especially the case if you've got only one server.
       </para>
@@ -68,5 +68,5 @@
   
   <sect1>
-    <title>Storage Server Installation</title>
+    <title>Database server installation</title>
     
     <para>
@@ -89,5 +89,5 @@
       
       <para>
-        To configure your Storage Server, you must have PostgreSQL already working.
+        To configure your database, you must have PostgreSQL already working.
         The complete installation of <application>PostgreSQL</application> is not covered by
         the present manual, please refer to your system's documentation or to 
@@ -160,5 +160,5 @@
         is waiting for your connections, you have to create the print quota database.
         To do so, you'll have to feed <application>PostgreSQL</application> with the
-        <filename>pykota-1.24/initscripts/postgresql/pykota-postgresql.sql</filename> file.
+        <filename>pykota-1.24_official/initscripts/postgresql/pykota-postgresql.sql</filename> file.
         This file will create a print quota database administrator in the <application>PostgreSQL</application> system, then create an empty
         print quota database and set some permissions on it. The print quota database administrator
@@ -175,8 +175,11 @@
         users from being able to modify their own, or other users', quota information.
         The database which will be created will be named <literal>pykota</literal> by default.
+        The <literal>pykotaadmin</literal> and <literal>pykotauser</literal> users by
+        default respectively have <literal>readwritepw</literal> and <literal>readonlypw</literal>
+        as their passwords.
         <note>
           <title>Note</title>
           <para>
-            You can choose other names if you want, just modify the 
+            You can choose other names and passwords if you want by modifying the 
             <filename>initscripts/postgresql/pykota-postgresql.sql</filename> file
             accordingly, and report your changes into <application>PyKota</application>'s
@@ -220,18 +223,13 @@
       
       <para>
-        For security reasons, you may want to set passwords in 
+        If you want to you can change passwords later in
         <application>PostgreSQL</application> for the 
         <literal>pykotaadmin</literal> and <literal>pykotauser</literal> users.
-        Otherwise any user able to connect to 
-        <application>PostgreSQL</application> on your print quota database server 
-        could connect to the quota database, and either see it, or even modify it without problem. 
-      </para>
-      
-      <para>
         To do so, just type the following lines while still being at the <command>psql</command>
-        prompt (replace the password values by your own, and do the same for the <literal>pykotauser</literal> user) :
+        prompt (replace the password values by your own :
         <screen>
 pykota=# ALTER USER pykotaadmin PASSWORD 'somepassword';
 ALTER USER
+pykota=# ALTER USER pykotauser PASSWORD 'anotherpassword';
 pykota=# \q
 jerome@nordine:~/pykota-1.24_official/initscripts/postgresql$
@@ -260,4 +258,8 @@
           </para>
         </warning>  
+      </para>
+      
+      <para>
+        For more details, please see <filename>initscripts/mysql/README.mysql</filename>.
       </para>
       
@@ -424,6 +426,122 @@
       
       <para>
-        <application>MySQL</application> is supported but not documented for now.
-      </para>
+        <application>MySQL</application> is a simple Relationnal DataBase
+        Management System distributed under a <firstterm>Free Software</firstterm>
+        license from the 
+        <ulink url="http://www.mysql.org">http://www.mysql.org</ulink>
+        web site. 
+      </para>
+      
+      <para>
+        To configure your database, you must have MySQL already working.
+        The complete installation of <application>MySQL</application> is not covered by
+        the present manual, please refer to your system's documentation or to 
+        <ulink url="http://www.mysql.org">http://www.mysql.org</ulink> for
+        details.
+      </para>
+      
+      <para>
+        One thing you have to check, though, is that every Print Server on which you
+        want to install the print quota mechanism, must be able to connect to the
+        <application>MySQL</application> server. In the default installation of
+        <application>MySQL</application> this may not be the case for security reasons, except if both
+        servers are in fact the same machine. In any case, it is recommended that you
+        check the <filename>/etc/mysql/my.cnf</filename> file and modify it if
+        needed.
+        <tip>
+          <title>Tip</title>
+          <para>
+            Don't forget to restart <application>MySQL</application> if you modify
+            any of its configuration files, in order for the changes to take effect.
+          </para>
+        </tip>  
+      </para>
+      
+      <para>
+        Be careful, you may be unable to connect from a Print Server to the <application>MySQL</application>
+        server even if the configuration is correct. Sometimes your connections may be blocked by
+        one or more network firewalls along the route from one machine to the other. If this
+        is the case, then the best thing you can do is to ask your <firstterm>Network Administrator</firstterm>
+        to not filter the IP port used by <application>MySQL</application>, which is
+        usually port <literal>3306/tcp</literal>.
+        <note>
+          <title>Note</title>
+          <para>
+            The TCP/IP network port used by MySQL may be different. When in doubt, ask your 
+            <firstterm>System Administrator</firstterm> for the correct value. 
+          </para>
+        </note>  
+      </para>
+      
+      <para>
+        Now that your <application>MySQL</application> server is up and running, and
+        is waiting for your connections, you have to create the print quota database.
+        To do so, you'll have to feed <application>MySQL</application> with the
+        <filename>pykota-1.24_official/initscripts/mysql/pykota-mysql.sql</filename> file.
+        This file will create an empty
+        print quota database and set some permissions on it. 
+        The database which will be created will be named <literal>pykota</literal> by default.
+        Two database users will be defined to have access in readonly and read+write modes under
+        the respective names <literal>pykotauser</literal> and <literal>pykotaadmin</literal>.
+        The <literal>pykotaadmin</literal> and <literal>pykotauser</literal> users by
+        default respectively have <literal>readwritepw</literal> and <literal>readonlypw</literal>
+        as their passwords.
+        <note>
+          <title>Note</title>
+          <para>
+            You can choose other names and passwords if you want by modifying the 
+            <filename>initscripts/mysql/pykota-mysql.sql</filename> file
+            accordingly, and report your changes into <application>PyKota</application>'s
+            configuration files.
+          </para>
+        </note>  
+      </para>
+      
+      <para>
+        To run this script, you can use the <command>mysql</command> frontend to
+        <application>MySQL</application>, but your priviledges must be sufficient
+        to be allowed to create databases. You can launch <command>mysql</command>
+        as the <literal>root</literal> user for example.
+        From a command line interpreter (i.e. shell), type the following commands :
+        <screen>
+jerome@nordine:~$ cd pykota-1.24_official/initscripts/mysql
+jerome@nordine:~/pykota-1.24_official/initscripts$ mysql &lt;pykota-mysql.sql
+        </screen>
+        <note>
+          <title>Note</title>
+          <para>
+            If you use RPM or DEB packages, usually the
+            <filename>pykota-mysql.sql</filename> file gets installed into the
+            <filename>/usr/share/pykota/mysql</filename> directory, along 
+            with a README file.
+          </para>
+        </note>  
+      </para>
+      
+      <para>
+        To improve security further, you could encrypt your database connections, or
+        take any other step as needed. Please refer to <application>MySQL</application>'s
+        documentation for details. 
+      </para>
+      
+      <para>
+        For more details, please see <filename>initscripts/mysql/README.mysql</filename>.
+      </para>
+      
+      <para>
+        If no error occured, then your print quota database is ready to be used.
+        Now you can let the print quota database server alone, the remaining work
+        will have to be done on each one of the print servers which will
+        use this particular print quota database server.
+        <tip>
+          <title>Tip</title>
+          <para>
+            If an error occured, maybe your MySQL version is too old, or
+            an unexpected problem (like a bug) happened. Please contact us via email so that we
+            can try to fix the problem. Thanks in advance.
+          </para>
+        </tip>  
+      </para>
+      
     </sect2>  
     